Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QWizard.WizardOption

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QWizard.WizardOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QWizard

    public static final class QWizard.WizardOption

extends java.lang.Enum
implements QtEnumerator

This enum specifies various options that affect the look and feel of a wizard.

See also:
  setOptions(), `setOption()`, and `testOption()`.

See Also:
  Serialized Form

Field Summary
`static QWizard.WizardOption` | `CancelButtonOnLeft` Put the Cancel button on the left of Back (rather than on the right of Finish or Next).
`static QWizard.WizardOption` | `DisabledBackButtonOnLastPage` Disable the Back button on the last page.
`static QWizard.WizardOption` | `ExtendedWatermarkPixmap` Extend any `WatermarkPixmap` all the way down to the window's edge.
`static QWizard.WizardOption` | `HaveCustomButton1` Show the first user-defined button (`CustomButton1` ).
`static QWizard.WizardOption` | `HaveCustomButton2` Show the second user-defined button (`CustomButton2` ).
`static QWizard.WizardOption` | `HaveCustomButton3` Show the third user-defined button (`CustomButton3` ).
`static QWizard.WizardOption` | `HaveFinishButtonOnEarlyPages` Show the (disabled) Finish button on non-final pages.
`static QWizard.WizardOption` | `HaveHelpButton` Show the Help button.
`static QWizard.WizardOption` | `HaveNextButtonOnLastPage` Show the (disabled) Next button on the last page.
`static QWizard.WizardOption` | `HelpButtonOnRight` Put the Help button on the far right of the button layout (rather than on the far left).
`static QWizard.WizardOption` | `IgnoreSubTitles` Don't show any subtitles, even if they are set.
`static QWizard.WizardOption` | `IndependentPages` The pages are independent of each other (i.e., they don't derive values from each other).
`static QWizard.WizardOption` | `NoBackButtonOnLastPage` Don't show the Back button on the last page.
`static QWizard.WizardOption` | `NoBackButtonOnStartPage` Don't show the Back button on the start page.
`static QWizard.WizardOption` | `NoCancelButton` Don't show the Cancel button.
`static QWizard.WizardOption` | `NoDefaultButton` Don't make the Next or Finish button the dialog's `default button`.

Method Summary
`static QWizard.WizardOptions` | `createQFlags(QWizard.WizardOption[] values)` This function creates a com.trolltech.qt.gui.QWizard$WizardOptions with the specified `com.trolltech.qt.gui.QWizard$WizardOption[]` QWizard$WizardOption values set.
`static QWizard.WizardOption` | `resolve(int value)` Returns the QWizard$WizardOption constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWizard.WizardOption` | `valueOf(java.lang.String name)`
`static QWizard.WizardOption[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### IndependentPages

    public static final QWizard.WizardOption IndependentPages

  The pages are independent of each other (i.e., they don't derive values from each other).

### IgnoreSubTitles

    public static final QWizard.WizardOption IgnoreSubTitles

  Don't show any subtitles, even if they are set.

### ExtendedWatermarkPixmap

    public static final QWizard.WizardOption ExtendedWatermarkPixmap

  Extend any `WatermarkPixmap` all the way down to the window's edge.

### NoDefaultButton

    public static final QWizard.WizardOption NoDefaultButton

  Don't make the Next or Finish button the dialog's `default button`.

### NoBackButtonOnStartPage

    public static final QWizard.WizardOption NoBackButtonOnStartPage

  Don't show the Back button on the start page.

### NoBackButtonOnLastPage

    public static final QWizard.WizardOption NoBackButtonOnLastPage

  Don't show the Back button on the last page.

### DisabledBackButtonOnLastPage

    public static final QWizard.WizardOption DisabledBackButtonOnLastPage

  Disable the Back button on the last page.

### HaveNextButtonOnLastPage

    public static final QWizard.WizardOption HaveNextButtonOnLastPage

  Show the (disabled) Next button on the last page.

### HaveFinishButtonOnEarlyPages

    public static final QWizard.WizardOption HaveFinishButtonOnEarlyPages

  Show the (disabled) Finish button on non-final pages.

### NoCancelButton

    public static final QWizard.WizardOption NoCancelButton

  Don't show the Cancel button.

### CancelButtonOnLeft

    public static final QWizard.WizardOption CancelButtonOnLeft

  Put the Cancel button on the left of Back (rather than on the right of Finish or Next).

### HaveHelpButton

    public static final QWizard.WizardOption HaveHelpButton

  Show the Help button.

### HelpButtonOnRight

    public static final QWizard.WizardOption HelpButtonOnRight

  Put the Help button on the far right of the button layout (rather than on the far left).

### HaveCustomButton1

    public static final QWizard.WizardOption HaveCustomButton1

  Show the first user-defined button (`CustomButton1` ).

### HaveCustomButton2

    public static final QWizard.WizardOption HaveCustomButton2

  Show the second user-defined button (`CustomButton2` ).

### HaveCustomButton3

    public static final QWizard.WizardOption HaveCustomButton3

  Show the third user-defined button (`CustomButton3` ).

Method Detail

### values

    public static QWizard.WizardOption[] values()

### valueOf

    public static QWizard.WizardOption valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QWizard.WizardOptions createQFlags(QWizard.WizardOption[] values)

  This function creates a com.trolltech.qt.gui.QWizard$WizardOptions with the specified `com.trolltech.qt.gui.QWizard$WizardOption[]` QWizard$WizardOption values set.

### resolve

    public static QWizard.WizardOption resolve(int value)

  Returns the QWizard$WizardOption constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD